{% extends "index.html" %}
{% load static %}

{% block content %}
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <table class="table table-dark table-striped">
        <thead>
        <tr>
            <th scope="col"></th>
            <th scope="col">First name</th>
            <th scope="col">Last name</th>
            <th scope="col">Email</th>
            <th scope="col">Birthdate</th>
            <th scope="col">Grade</th>
            <th scope="col">Age</th>
            <th scope="col">Edit</th>
            <th scope="col">Delete</th>
            <th scope="col">Resume</th>
        </tr>
        </thead>
        <tbody>
        {% for student in object_list %}
            <tr>
                {% if student.avatar %}
                    <td><img src="{{ student.avatar.url }}"
                             alt="it's you)" height="70" width="70">
                    </td>
                {% else %}
                    <td><img src="{% static 'img/avatars/avatar.png' %}" alt="it's you)" height="70"
                             width="70"></td>
                {% endif %}
                <td>{{ student.first_name }}</td>
                <td>{{ student.last_name }}</td>
                <td>{{ student.email }}</td>
                <td>{{ student.birthdate }}</td>
                <td>{{ student.grade }}</td>
                {% if student.birthdate %}
                    <td>{{ student.age }}</td>
                {% else %}
                    <td>Undefined age</td>
                {% endif %}
                <td><a type="button" class="btn btn-warning"
                       href="{% url "students:update_student" student.id %}">Edit</a></td>
                <td><a type="button" class="btn btn-danger"
                       href="{% url "students:delete_student" student.id %}">Delete</a></td>
                {% if student.resume %}
                    <td><a href="{{ student.resume.url }}"><i class="fa fa-download btn btn-primary"></i></a></td>
                {% else %}
                    <td>Undefined resume</td>
                {% endif %}
            </tr>
        {% endfor %}
        </tbody>
    </table>
{% endblock %}
